org.apache.lucene.search.similarities

## Class DistributionLL

- java.lang.Object
- - org.apache.lucene.search.similarities.Distribution
  - - org.apache.lucene.search.similarities.DistributionLL

    public class DistributionLL
    extends Distribution

Log-logistic distribution.

Unlike for DFR, the natural logarithm is used, as it is faster to compute and the original paper does not express any preference to a specific base.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`DistributionLL()` Sole constructor: parameter-free

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `score(BasicStats stats, double tfn, double lambda)` Computes the score.
`String` `toString()` Subclasses must override this method to return the name of the distribution.

### Methods inherited from class org.apache.lucene.search.similarities.Distribution

`explain`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DistributionLL

    public DistributionLL()

Sole constructor: parameter-free

### Method Detail

#### score

    public final double score(BasicStats stats,
                              double tfn,
                              double lambda)

Description copied from class: `Distribution`
Computes the score.

Specified by:
  `score` in class `Distribution`

#### toString

    public String toString()

Description copied from class: `Distribution`
Subclasses must override this method to return the name of the distribution.

Specified by:
  `toString` in class `Distribution`